package top.baogutang.strategy.commons.enums;

public enum Timeframe {
    M15("15m", "candle15m", 15 * 60_000L),
    H1("1h", "candle1H", 60 * 60_000L),
    H4("4h", "candle4H", 4 * 60 * 60_000L);
    public final String code;
    public final String okxChannel;
    public final long millis;

    Timeframe(String code, String channel, long ms) {
        this.code = code;
        this.okxChannel = channel;
        this.millis = ms;
    }
}
